Loading ...
Home » Spaces » UPS Management Devices & PowerChute Software » discussion » General » Cannot install latest PowerChute Business Edition 10 because of VC Redistributable error

Cannot install latest PowerChute Business Edition 10 because of VC Redistributable error

Discussion in UPS Management Devices & PowerChute Software started by Martin , 7 days ago
Login to follow, share, and participate in this space.
Not a member?Join now
Announcement 

Please review Schneider Electric Knowledge Base articles for assistance with most technical support questions.  http://www.apc.com/us/en/faqs

  • progmars
    Martin
    Novice Novice
    Martin 7 days ago

    I just got SMT750I UPS and decided to get the latest PowerChute edition from the APC site instead of installing the one (possibly outdated) from the supplied CD.

    So, clicking through support downloads section, I found this one:

    https://www.apc.com/lv/en/tools/download/download.cfm?sw_sku=SFPCBE100&software_id=MFOI-B82U73&family=165&part_num=SMT750I&swfam=&tsk=&swtyp=

    It seems, the download is broken on Chrome browser - it downloaded a file with name "files" and no extension at all! I tried Firefox, and it downloaded correct file with name pcbesetup.exe.

    So I launched it, and it reported it needs to install Microsoft Visual C++ 2017 Redistributable. I clicked Install. And it failed, claiming that it cannot install this version of VC Redist because a newer version is already installed. I opened the log file and highlighted the exact version I have already installed (possibly, because it was required by some other software package).

    See the screenshot below.

    I don't want to uninstall my current VC Redist version because some other software on my PC depends on it.

    Not sure, why PowerChute requires this specific older version and doesn't accept the newer one.

    How to proceed with the installation?

  • progmars
    Martin
    Novice Novice
    Martin 7 days ago (in response to Martin)

    Strange thing happened - I attempted to install even newer VCRedist version from here:

    https://support.microsoft.com/lv-lv/help/2977003/the-latest-supported-visual-c-downloads

    And now PowerChute installation succeeded without even attempting to reinstall the old VCRedist version. That just doesn't make sense - how the newest version turned out to be compatible with the oldest version than the middle version.

    Anyway, installation worked fine. But now I cannot launch the PowerChute Business local website:

    https://localhost:6547/

    Chrome reports:

    ERR_SSL_VERSION_INTERFERENCE

    Firefox reports:

    An error occurred during a connection to localhost:6547. SSL received a record with an incorrect Message Authentication Code. Error code: SSL_ERROR_BAD_MAC_READ 

  • progmars
    Martin
    Novice Novice
    Martin 7 days ago (in response to Martin)

    Ok, I kinda managed to fix the issue. In Chrome, I had to disable TLS 1.3:

    chrome://flags/#tls13-variant

    Set to Disabled.

    Then finally I was able to launch the PowerChute localhost website. But it seems to be lacking some UPS configuration settings. For example, I could not find this one:

    Turn Off Delay

    • 0 sec UPS Outlets

    • 90 sec Controlled Outlet Groups

    The amount of time the UPS or a Controlled Outlet Group will wait between receiving the command to turn off and the actual shut down.

    I guess, there are some settings that are available only from the UPS display itself and cannot be configured from PowerChute, despite it being full Business edition.

    And, by the way, country data is somewhat outdated - Latvia (and possibly some other countries) are using euro currency since 2014.

  • Page 1 of 1 (3 items)
Choose your language:  
powered by Communifire
Version 5.2.6420.11692